/*
** Module   : Encoding
** Abstract : Define setter and getter for ENCODING attribute.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVK 20130519 Created initial version.
*/
package com.goldencode.p2j.xml;

import com.goldencode.p2j.util.character;

/**
 * Defines the ENCODING attribute.
 */
public interface Encoding
{
   /**
    * Get encoding
    *
    * @return   encoding of Document
    */
   public character getEncoding();

   /**
    * Set encoding of Document
    * @param encoding
    */
   public void setEncoding(character encoding);

   /**
    * Sets the new value of the encoding attribute for the given SAX-Writer object.
    *
    * @param    encoding
    *           The encoding value to be set for the given writer.
    */
   public void setEncoding(String encoding);
}